<template>
  <v-layout>
    <v-flex xs12>
      <v-card class="elevation-3 py-2">
        <v-expansion-panels popout multiple>
          <v-expansion-panel
            v-for="item in this.organizationsSettings"
            :key="item.organizationId"
          >
            <v-expansion-panel-header>
              <v-layout row>
                <v-flex xs2 md1>
                  <v-icon color="primary">{{ icons.tooltipAccount }}</v-icon>
                </v-flex>
                <v-flex xs10 md8>{{ item.name }}</v-flex>
                <v-flex xs12 md2>{{ item.type }}</v-flex>
              </v-layout>
            </v-expansion-panel-header>
            <v-expansion-panel-content>
              <v-container>
                <v-layout row wrap>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="Аптечный"
                    :input-value="item.usePharmacy"
                    @change="
                      (value) =>
                        changeTypes(item.organizationId, 'usePharmacy', value)
                    "
                  ></v-switch>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="БАД"
                    :input-value="item.useDietarySupplement"
                    @change="
                      (value) =>
                        changeTypes(
                          item.organizationId,
                          'useDietarySupplement',
                          value
                        )
                    "
                  ></v-switch>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="Оптика"
                    :input-value="item.useOptics"
                    @change="
                      (value) =>
                        changeTypes(item.organizationId, 'useOptics', value)
                    "
                  ></v-switch>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="Медтехника"
                    :input-value="item.useMedicalEquipment"
                    @change="
                      (value) =>
                        changeTypes(
                          item.organizationId,
                          'useMedicalEquipment',
                          value
                        )
                    "
                  ></v-switch>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="ИМН"
                    :input-value="item.useMedicalProducts"
                    @change="
                      (value) =>
                        changeTypes(
                          item.organizationId,
                          'useMedicalProducts',
                          value
                        )
                    "
                  ></v-switch>
                  <v-switch
                    color="primary"
                    class="pa-2 mt-n1 mb-n6"
                    label="Косметика"
                    :input-value="item.useCosmetic"
                    @change="
                      (value) =>
                        changeTypes(item.organizationId, 'useCosmetic', value)
                    "
                  ></v-switch>
                </v-layout>
              </v-container>
            </v-expansion-panel-content>
          </v-expansion-panel>
        </v-expansion-panels>
      </v-card>
    </v-flex>
  </v-layout>
</template>

<script>
import { mapActions } from "vuex";

import { Icon } from "@/helpers";

export default {
  props: {
    organizationsSettings: Array,
  },
  computed: {},
  methods: {
    ...mapActions({
      updateOrganizationSettings: "organizations/UPDATE_ORGANIZATION_SETTINGS",
    }),
    changeTypes: function (organizationId, key, value) {
      this.updateOrganizationSettings({ organizationId, key, value });
    },
  },
  data: () => ({
    icons: {
      tooltipAccount: Icon.tooltipAccount,
    },
  }),
  mounted() {},
};
</script>
